///////////////////////////////////////////////////////////////////////////////
// Classes C_Network                                                         //
// Created by Hell Hibou (2009)                                              //
// Part of MyFS library                                                      //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////


#ifndef _CLASS_UOBIHLLEH_C_NETWORK
#define _CLASS_UOBIHLLEH_C_NETWORK

#include <gctypes.h>
#include <fcntl.h>

#define C_NETWORK_NOT_INIT			0
#define C_NETWORK_INIT_IN_PROGRESS	1
#define C_NETWORK_INITIALIZED		2
#define C_NETWORK_INIT_ERROR		3

class C_Network
{
	public:
		static const char IP		[16];
		static const char Mask		[16];
		static const char Gateway	[16];
		
		static int InitSync();
		static int InitAsync();
	
	private:
		static u8 InitStatus;
		static lwp_t ProcessId;
		
		static void * Process_InitNetwork (void * arg);
};

#endif

///////////////////////////////////////////////////////////////////////////////
