///////////////////////////////////////////////////////////////////////////////
// Class Config                                                              //
// Created by Hell Hibou (2008)                                              //
// Part of Wii Homebrew Launcher                                             //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////


#ifndef _CLASS_UOBIHLLEH_C_CONFIG
#define _CLASS_UOBIHLLEH_C_CONFIG

#include "FS.hpp"

class C_Config
{
	public:
		static void SetDefautRessources ();
		static void ReadRessources		(C_FileSystem * FS);
		static int  SaveSystemIni		(C_FileSystem * FS);
		static void ReloadRessources	(C_FileSystem * FS);
		
	
	private:
		static void ReadConfig		(C_FileSystem * FS, u8 FileId);
		static int  LoadTheme		(C_FileSystem * FS, bool = true);
		static const char * 		(RessourceImgFiles []);
		static void SetVar 			(u8 FileId, char *Variable, char *Valeur);
		static void SetDefautRessourcesImages();
};

#endif

///////////////////////////////////////////////////////////////////////////////
