///////////////////////////////////////////////////////////////////////////////
// Class C_Loader_DirFiles                                                   //
// Created by Hell Hibou (2008)                                              //
// Part of Wii Homebrew Launcher                                             //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////


#ifndef _CLASS_UOBIHLLEH_C_LOADER_EMULATOR
#define _CLASS_UOBIHLLEH_C_LOADER_EMULATOR

#include "interface_App.hpp"
#include "loader_files.hpp"

class C_Loader_Emulator: public C_Interface_App
{
	public:
		static int Exist (C_FileSystem *);
		
		C_Loader_Emulator(C_FileSystem *);
		~C_Loader_Emulator();
		
		virtual void PostRetraceCallback (u32 Count = 0);
		void SetRedrawAll ();

	protected:
		int  Run (int ChannelId);
	
	private:
		static const char EmulatorDirectory[];
		C_Loader_Files * LoaderFiles;
};

#endif

///////////////////////////////////////////////////////////////////////////////
