OUTPUT_FORMAT("elf32-powerpc")
OUTPUT_ARCH(powerpc:common)

SECTIONS 
{
	.text :				{ *(.text) }
	.data :				{ *(.data) }
	.sdata :			{ *(.sdata) }
	.rodata :			{ *(.rodata)}
	
	. = ALIGN(32768);
	
	.stack :
	{
		_stack_top = .;
		. += 32768;
		_stack_bot = .;
	}

	__bss_start = .;
	.bss : 		{ *(.bss) }
	.sbss : 	{ *(.sbss) }
	__bss_end = .;
}
